CURATOR(1)

NAME
curator - Elasticsearch time-series index manager

SYNOPSIS
curator [--config CONFIG.YML] [--dry-run] ACTION_FILE.YML

DESCRIPTION
curator helps manage Elasticsearch time-series indices. It provides an easy way to perform index administration tasks, such as managing aliases, optimizing indices, changing the replica count and modifying index allocation using routing tags.

OPTIONS

-h, --help
    show program usage and exit

-v, --version
    show program's version number and exit

--config PATH
    Path to configuration file. Default: ~/.curator/curator.yml

--dry-run
    Do not perform any changes. ACTION_FILE is a YAML curator action file. For more information on action files, consult /usr/share/doc/elasticsearch-curator/reference.txt.gz.

EXIT CODES
Exit codes will indicate success or failure.

0   Success

1   Failure

-1  An exception was raised that does not result in an exit code of 1

SEE ALSO
es_repo_mgr(1), curator_cli(1) Additional documentation for curator can be found at the project's wiki at https://github.com/elasticsearch/curator/wiki and (on Debian systems) under /usr/share/doc/elasticsearch-curator/reference.txt.gz.

AUTHOR
curator was originally written by Aaron Mildenstein <aaron@mildensteins.com>. It is currently maintained by Elasticsearch <http://www.elasticsearch.org/>. This manual page was written by Apollon Oikonomopoulos <apoikos@debian.org> for the Debian project (but may be used by others).

LICENSE
This software is released under the Apache License, Version 2.0. See /usr/share/doc/elasticsearch-curator/copyright for more details. Copyright 2011-2016 Elasticsearch and contributors.